!=========================================================================
! Copyright (C) GemTalk Systems 1986-2015.  All Rights Reserved.
!
! $Id: floatclasses.gs,v 1.7 2008-01-09 19:02:33 stever Exp $
!
!=========================================================================

! Create all the float classes

! Ensure that we recreate DecimalFloat in repository conversion situations,
! since the translation of decimal floats to binary floats leaves the 3.2 
! DecimalFloat class corrupted.
expectvalue %String
run
  Globals at:#DecimalFloat ifAbsent:[ ^ 'not found' ] .
  Globals at:#DecimalFloat put: nil .
  ^ 'dereferenced old float class'
%

expectvalue %String
run
  Number _newKernelByteSubclass: 'DecimalFloat'
    classVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    instancesInvariant: false
    reservedOop: 1093
%

expectvalue %String
run
  Number _newKernelSubclass: 'BinaryFloat'
    instVarNames: #()
    classVars: #()
    classInstVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    constraints: #[  ]
    instancesInvariant: false
    isModifiable: false
    reservedOop: 1509
%

expectvalue %String
run
  BinaryFloat _newKernelByteSubclass: 'Float'
    classVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    instancesInvariant: false
    reservedOop: 1521
%

expectvalue %String
run
  BinaryFloat _newKernelByteSubclass: 'SmallFloat'
    classVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    instancesInvariant: false
    reservedOop: 1525
%
! create the following two classes to maintain semantics of OOP_LAST_KERNEL_OOP
!    in gcioop.ht
expectvalue %String
run
  BinaryFloat _newKernelSubclass: 'UnimplementedFloat1'
    instVarNames: #()
    classVars: #()
    classInstVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    constraints: #() 
    instancesInvariant: false
    isModifiable: false
    reservedOop: 1529
%
expectvalue %String
run
  BinaryFloat _newKernelSubclass: 'UnimplementedFloat2'
    instVarNames: #()
    classVars: #()
    classInstVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    constraints: #() 
    instancesInvariant: false
    isModifiable: false  
    reservedOop: 1533
%
